Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Netbeans not building
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
zietbukuel
l33t
l33t


Joined: 30 Dec 2005
Posts: 606
Location: /dev/peru/lima

PostPosted: Sun Mar 19, 2006 8:23 am    Post subject: Netbeans not building Reply with quote

Hi, im trying to install netbeans on my gentoo box, but i get this error:
Code:
projectized.compile:
    [mkdir] Created dir: /var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/xml/core/build/classes
    [javac] Compiling 94 source files to /var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/xml/core/build/classes
   [repeat] /var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/xml/core/src/org/netbeans/modules/xml/spi/dom/AbstractNode.java:319: cannot resolve symbol
   [repeat] symbol  : class UserDataHandler
   [repeat] location: class org.netbeans.modules.xml.spi.dom.AbstractNode
   [repeat]     public Object setUserData(String a, Object b, UserDataHandler c) {
   [repeat]                                                   ^
   [repeat] /var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/xml/core/src/org/netbeans/modules/xml/spi/dom/AbstractNode.java:324: cannot resolve symbol
   [repeat] symbol  : class TypeInfo
   [repeat] location: class org.netbeans.modules.xml.spi.dom.AbstractNode
   [repeat]     public TypeInfo getSchemaTypeInfo() {
   [repeat]            ^
   [repeat] /var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/xml/core/src/org/netbeans/modules/xml/spi/dom/AbstractNode.java:359: cannot resolve symbol
   [repeat] symbol  : class DOMConfiguration
   [repeat] location: class org.netbeans.modules.xml.spi.dom.AbstractNode
   [repeat]     public DOMConfiguration getDomConfig() {
   [repeat]            ^
   [repeat] Note: Some input files use or override a deprecated API.
   [repeat] Note: Recompile with -deprecation for details.
   [repeat] 3 errors

BUILD FAILED
/var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/nbbuild/build.xml:2563: The following error occurred while executing this line:
/var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/nbbuild/build.xml:2558: The following error occurred while executing this line:
/var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/nbbuild/build.xml:1898: The following error occurred while executing this line:
/var/tmp/portage/netbeans-4.0-r2/work/netbeans-src/nbbuild/templates/projectized.xml:118: Compile failed; see the compiler error output for details.

Total time: 2 minutes 12 seconds

!!! ERROR: dev-util/netbeans-4.0-r2 failed.
Call stack:
  ebuild.sh, line 1557:   Called dyn_compile
  ebuild.sh, line 966:   Called src_compile

!!! Compiling failed!
!!! If you need support, post the topmost build error, and the call stack if relevant.


My emerge --info:
Code:

Portage 2.1_pre6-r3 (default-linux/amd64/2006.0, gcc-3.4.5, glibc-2.3.6-r3, 2.6.14-gentoo-r6 x86_64)
=================================================================
System uname: 2.6.14-gentoo-r6 x86_64 AMD Athlon(tm) 64 Processor 3200+
Gentoo Base System version 1.12.0_pre16
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
dev-lang/python:     2.3.5, 2.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-mtune=athlon64 -O2 -pipe -fomit-frame-pointer -msse2 -msse3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/X11/xkb /usr/share/config /var/bind /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/env.d"
CXXFLAGS="-mtune=athlon64 -O2 -pipe -fomit-frame-pointer -msse2 -msse3"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ ftp://ftp.ussg.iu.edu/pub/linux/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage-xgl"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="amd64 X aac alsa apache2 avi berkdb bitmap-fonts cdr cli crypt ctype cups dba dbus dri eds emboss encode expat fastbuild firefox flac foomaticdb force-cgi-redirect fortran ftp gd gif glibc-omitfp gnome gpm gstreamer gtk gtk2 hal howl imlib ipv6 jpeg lame lzw lzw-tiff memlimit mp3 mpeg nautilus ncurses new-login nls nptl nptlonly ogg opengl pam pcre pdflib perl png posix python quicktime readline real sdl session simplexml soap sockets spell spl sse3 ssl svg tcpd tiff tokenizer truetype truetype-fonts type1-fonts usb vorbis xml xpm xsl xv zlib elibc_glibc input_devices_keyboard input_devices_mouse kernel_linux userland_GNU video_cards_fglrx video_cards_ati video_cards_radeon video_cards_vesa video_cards_fbdev"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS


Please help me i need this installed :) thanks!

PS. Sorry for the first post, it was in a wrong forum :oops:
_________________
AMD FX 8350 8-core CPU
16GB Corsair Vengeance DDR3 RAM
ASUS M5A97 Motherboard
1TB (Gentoo) + 500GB (Windows 7 for games) HDDs
Nvidia 550 GTX Ti 1Gb Ram DDR5
Cooler Master CM690 Case
Back to top
View user's profile Send private message
biehl
Tux's lil' helper
Tux's lil' helper


Joined: 18 Feb 2003
Posts: 109
Location: Copenhagen/Denmark/European Union

PostPosted: Sun Mar 19, 2006 12:47 pm    Post subject: Reply with quote

Hi,

If you don't need to use the gentoo install system - then it is really easy to just grab a linux-installer from here

http://www.netbeans.org/

As a bonus you will get the much more recent version 5.0


Hope this helps
Anders
_________________
1) Dell Inspiron 8600, 1,4GHz PM, GeForce 5650Go
2) Custom, AMD64 Winchester 3000+, Asus A8V Deluxe, GeForce 5200
Back to top
View user's profile Send private message
virtual
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2004
Posts: 132
Location: Bergen

PostPosted: Sun Mar 19, 2006 2:26 pm    Post subject: Reply with quote

Whatever you may think go to netbeans.org and install the 5.0 of netbeans it's great and you will have no problems when using the installer.
_________________
The roots of education are bitter but it's fruit is sweet.
Back to top
View user's profile Send private message
zietbukuel
l33t
l33t


Joined: 30 Dec 2005
Posts: 606
Location: /dev/peru/lima

PostPosted: Sun Mar 19, 2006 3:22 pm    Post subject: Reply with quote

Hi, thanks for your reply! Ok I really would like to use the gentoo install, but if it's not possible then i will use the linux installer, but should i uninstall the dependencies of the gentoo install? because in the site it says i only need j2se jdk 1.4.2. thanks a lot!
_________________
AMD FX 8350 8-core CPU
16GB Corsair Vengeance DDR3 RAM
ASUS M5A97 Motherboard
1TB (Gentoo) + 500GB (Windows 7 for games) HDDs
Nvidia 550 GTX Ti 1Gb Ram DDR5
Cooler Master CM690 Case
Back to top
View user's profile Send private message
mark_alec
Bodhisattva
Bodhisattva


Joined: 11 Sep 2004
Posts: 6066
Location: Melbourne, Australia

PostPosted: Tue Mar 28, 2006 12:51 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads.

https://forums.gentoo.org/viewtopic-t-420845-highlight-netbeans.html
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum